
// QTVersionCheck.java
// Andrew Davison, May 2005, ad@fivedots.coe.psu.ac.th

/* This example comes from chapter 1 of:
      QuickTime for Java: A Developer's Notebook
      Chris Adamson, O'Reilly, Jan 2005
      http://www.oreilly.com/catalog/quicktimejvaadn/

   It can be used to test if QTJ is correctly installed.

   Compilation:
        $ javac QTVersionCheck.java
   Execution:
        $ java QTVersionCheck

   For some details on how to install QTJ, see readme.txt in 
   this directory.
*/


import quicktime.QTSession;
import quicktime.util.QTBuild;

public class QTVersionCheck 
{
  public static void main (String[] args) 
  {
    try {
      QTSession.open();
      System.out.println ("QT version: " + 
                     QTSession.getMajorVersion() + "." +
                     QTSession.getMinorVersion());
      System.out.println ("QTJ version: " +
                     QTBuild.getVersion() + "." +
                     QTBuild.getSubVersion());
      QTSession.close();
    } 
    catch (Exception e) 
    {  e.printStackTrace(); }
  }
} // end of QTVersionCheck class
